<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/normal_toolbar_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/text_28282E"
        android:orientation="vertical"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.gh.gamecenter.common.view.StatusBarView
            android:id="@+id/status_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/normal_toolbar"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"
            android:background="@android:color/transparent"
            app:layout_constraintTop_toBottomOf="@id/status_bar" />

        <TextView
            android:id="@+id/normal_title"
            android:layout_width="wrap_content"
            android:layout_height="?attr/actionBarSize"
            android:layout_centerHorizontal="true"
            android:gravity="center"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/normal_toolbar"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/normal_toolbar" />

        <TextView
            android:id="@+id/confirm"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="8dp"
            android:paddingLeft="12dp"
            android:paddingTop="6dp"
            android:paddingRight="12dp"
            android:paddingBottom="6dp"
            android:text="确定"
            android:textColor="@color/text_theme"
            app:layout_constraintBottom_toBottomOf="@id/normal_toolbar"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/normal_toolbar" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.lightgame.view.NoScrollableViewPager
        android:id="@+id/activity_view_pager"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/text_16161A"
        app:layout_constraintBottom_toTopOf="@id/activity_tab_container"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/normal_toolbar_container" />

    <RelativeLayout
        android:id="@+id/activity_tab_container"
        android:layout_width="match_parent"
        android:layout_height="@dimen/tab_layout_height"
        android:background="@color/text_28282E"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent">

        <com.gh.gamecenter.common.view.TabIndicatorView
            android:id="@+id/activity_tab_indicator"
            android:layout_width="match_parent"
            android:layout_height="3dp"
            android:layout_alignParentBottom="true" />

        <com.google.android.material.tabs.TabLayout
            android:id="@+id/activity_tab_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:tabIndicator="@null"
            app:tabTextAppearance="@style/TabLayoutTextAppearance" />

    </RelativeLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/text_primary"
        app:layout_constraintTop_toTopOf="@+id/activity_tab_container" />

</androidx.constraintlayout.widget.ConstraintLayout>
